# Elnu's NixOS configuration

### TODO

- Make rofi power menu work by removing password requirement from shutdown, reboot, etc., which is normally done with `visudo` (see [this Stack Overflow thread](https://askubuntu.com/a/168885) and [Nix `sudo` option](https://search.nixos.org/options?channel=22.05&from=0&size=50&sort=relevance&type=packages&query=sudo).
- Theme GRUB
- Load in vim configuration
- Install Anthy IME for Japanese input
- Fix issue where wireless connection dies after suspend, even after restarting NetworkManager
- Fix screenshots
  - Fix adding screenshots to clipboard with `xclip`
    - Could be a system/user level issue? Try installing required packages without home manager
  - Get area selection screenshots working in i3 (currently only when manually run)
- Fix/map media keys (already declared within [`i3.nix`](i3.nix) but are non-functional
- Fix Nordic GTK theme not working in nautilus
- Add `wmctrl` as an explicit dependency of `rofi-power` instead of `rofi/default.nix`
- Fix background squishing for polybar (use nautilus?)
- Fix Japanese fonts not working specifically in Discord
- Add Gruvbox, Catpuccin switching support
  - kitty theme is "Gruvbox Dark", [see the full list](https://github.com/kovidgoyal/kitty-themes/blob/master/themes.json).
