{ pkgs, ... }:

{
  programs.kitty = { 
    enable = true;
    # https://github.com/kovidgoyal/kitty-themes/blob/master/themes.json
    theme = "Everforest Dark Hard";
    font = {
      name = "FiraCode Nerd Font Mono";
      size = 12;
    };
    extraConfig = "enable_audio_bell 0\nconfirm_os_window_close 0\nbackground_opacity 0.7";
  };
}
